"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.checkBasePermissions = void 0;
var _apiSecurity = require("@webiny/api-security");
const checkBasePermissions = async (getPermission, check = {}) => {
  const filePermission = await getPermission("fm.file");
  if (!filePermission) {
    throw new _apiSecurity.NotAuthorizedError();
  }
  if (check.rwd && !hasRwd(filePermission, check.rwd)) {
    throw new _apiSecurity.NotAuthorizedError();
  }
  return filePermission;
};
exports.checkBasePermissions = checkBasePermissions;
const hasRwd = (filesFilePermission, rwd) => {
  if (typeof filesFilePermission.rwd !== "string") {
    return true;
  }
  return filesFilePermission.rwd.includes(rwd);
};